.news-list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px 0;
}

.news-list .swiper-wrapper {
    margin-bottom: 25px;
}

.section-news {
    margin-top: 70px;
}

@media screen and (max-width: 576px) {
    .section-news {
        margin-top: 40px;
    }
}

.news__all {
	display: block;
	margin: 0 auto;
	margin-top: 45px;
	max-width: 200px;
	text-align: center;
}

.news:not(.swiper-initialized) .swiper-wrapper {
    display: flex;
    gap: 20px;
    width: 100%;
    overflow: hidden;
}

.news:not(.swiper-initialized) .swiper-slide:nth-child(n+4) {
    display: none !important;
}

.news__price {
    position: absolute;
    bottom: 0;
    left: 0;
    background: var(--primary);
    color: #ffffff;
    padding: 6px 32px;
    border-radius: 0 8px 0 0;
    white-space: nowrap;
    font-size: 17px;
    font-weight: 600;
    width: 100%;
    text-align: center;
}

.news-list__item {
    display: flex !important;
    flex-direction: row;
    align-items: stretch;
    gap: 15px;
    box-shadow: 0 34px 23px -25px #0000002b;
    padding: 25px 30px;
}

.news-list__image {
    width: 217px;
    height: 217px;
    min-width: 217px;
    border-radius: 8px;
    overflow: hidden;
}

.news-list__image picture {
    height: 100%;
    width: 100%;
}

img.news-list__img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: .5s;
}

.news-list__image:hover img.news-list__img {
    transform: scale(1.1);
}

.news-list__link {
    flex-grow: 1;
    margin-top: auto;
    display: flex;
    flex-direction: column;
}

.news-list__content {
    display: flex;
    flex-direction: column;
}

.news-list__date {
    font-size: 14px;
}

.news-list__name {
    font-size: 18px;
    line-height: 1.2;
    font-weight: 600;
    margin-top: auto;
    transition: .5s;
    text-overflow: ellipsis;
    overflow: hidden;
    display: -moz-box;
    -moz-box-orient: vertical;
    display: -webkit-box;
    -webkit-line-clamp: 7;
    -webkit-box-orient: vertical;
    line-clamp: 7;
    box-orient: vertical;
}

.news-list__name:hover {
    color: var(--primary)
}

.news-list__item .arrow-btn {
    margin-top: auto;
    margin-bottom: 0;
    white-space: nowrap;
}

.news-pagination {
    margin-top: 50px;
}

.news__img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

@media (max-width: 1460px) {
    .news-list__image {
        width: 200px;
        height: 200px;
        min-width: 200px;
    }
}

@media (max-width: 1360px) {
    .news-list__image {
        width: 180px;
        height: 180px;
        min-width: 180px;
    }

    .news-list__name {
        font-size: 16px;
    }

    .news-list__date {
        font-size: 13px;
    }

    .news-list__item .arrow-btn {
        font-size: 14px;
    }

    .news-list__item .arrow-btn svg {
        width: 16px;
        height: 14px;
    }
}

@media (max-width: 1280px) {
    .news-list__item {
        padding: 25px 20px;
    }

    .news-list__image {
        width: 160px;
        height: 160px;
        min-width: 160px;
    }

    .news-list__name {
        font-size: 15px;
    }
}

@media (max-width: 1100px) {
    .news-list__item {
        flex-direction: column;
    }

    .news-list__image {
        width: 100%;
        margin: 0 auto;
        max-width: 100%;
        min-width: auto;
    }

    .news-list__content,
    .news-list__link {
        gap: 10px;
    }

    .news-list__content {
        margin-top: auto
    }

    .news-list__item .arrow-btn {
        margin-left: auto;
    }
}

@media (max-width: 767px) {
    .news-list__content {
        margin-top: 0;
        height: 50%;
    }
    .news-list {
        grid-template-columns: repeat(2, 1fr);
        gap: 10px 15px;
    }

    .news-list__item {
        padding: 15px 2px;
    }

    .news-list__date {
        font-size: 12px;
    }

    .task-159500 .news-list__date {
        font-size: 14px;
    }

    .news-list__name {
        font-size: 13px;
        margin-top: 0;
    }

    .task-159500 .news-list__name {
        font-size: 14px;
        margin-top: 0;
    }

    .news-list__item .arrow-btn {
        gap: 12px;
        font-size: 13px;
    }
    
    .task-159500 .news-list__item .arrow-btn {
        font-size: 14px;
    }

    .news-list__item .arrow-btn svg {
        width: 13px;
        height: 12px;
    }

    img.news-list__img {
        height: 165px;
    }


    .news:not(.swiper-initialized) .swiper-wrapper {
        gap: 10px;
    }

    .news:not(.swiper-initialized) .swiper-slide:nth-child(n+3) {
        display: none !important;
    }


    .news__all {
        margin-top: 17px;
        padding: 8px 12px;
        font-size: 14px;
        max-width: 130px;
    }

    .news {
        gap: 5px 0;
    }
}
